Package oracle.jdbc

## Interface OracleResultSet

All Superinterfaces:
  `java.lang.AutoCloseable`, `OracleCommonResultSet`, `java.sql.ResultSet`, `java.sql.Wrapper`

    public interface OracleResultSet
    extends OracleCommonResultSet

A table of data representing a database result set, which is usually generated by executing a statement that queries the database.

### Nested Class Summary

Nested Classes
`static class` `OracleResultSet.AuthorizationIndicator` eXtensible Data Security (XDS) authorization indicator.

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ARRAY` `getARRAY​(int columnIndex)` Oracle extension.
`ARRAY` `getARRAY​(java.lang.String columnName)` Oracle extension.
`OracleResultSet.AuthorizationIndicator` `getAuthorizationIndicator​(int columnIndex)` Retrieves the column security visibility attribute of the designated column in the current row of this `OracleResultSet` object.
`OracleResultSet.AuthorizationIndicator` `getAuthorizationIndicator​(java.lang.String columnName)` Retrieves the column security visibility attribute of the designated column in the current row of this `OracleResultSet`.
`BFILE` `getBfile​(int columnIndex)` Oracle extension.
`BFILE` `getBfile​(java.lang.String columnName)` Oracle extension.
`BFILE` `getBFILE​(int columnIndex)` Oracle extension.
`BFILE` `getBFILE​(java.lang.String columnName)` Oracle extension.
`BLOB` `getBLOB​(int columnIndex)` Oracle extension.
`BLOB` `getBLOB​(java.lang.String columnName)` Oracle extension.
`CHAR` `getCHAR​(int columnIndex)` Oracle extension.
`CHAR` `getCHAR​(java.lang.String columnName)` Oracle extension.
`CLOB` `getCLOB​(int columnIndex)` Oracle extension.
`CLOB` `getCLOB​(java.lang.String columnName)` Oracle extension.
`byte[]` `getCompileKey()` Oracle extension.
`java.sql.ResultSet` `getCursor​(int columnIndex)` Oracle extension.
`java.sql.ResultSet` `getCursor​(java.lang.String columnName)` Oracle extension.
`CustomDatum` `getCustomDatum​(int columnIndex, CustomDatumFactory factory)` Deprecated.
`CustomDatum` `getCustomDatum​(java.lang.String columnName, CustomDatumFactory factory)` Deprecated.
`DATE` `getDATE​(int columnIndex)` Oracle extension.
`DATE` `getDATE​(java.lang.String columnName)` Oracle extension.
`INTERVALDS` `getINTERVALDS​(int columnIndex)` Obtain an oracle.sql.INTERVALDS value from the ResultSet.
`INTERVALDS` `getINTERVALDS​(java.lang.String columnName)` Obtain an oracle.sql.INTERVALDS value from the ResultSet.
`INTERVALYM` `getINTERVALYM​(int columnIndex)` Obtain an oracle.sql.INTERVALYM value from the ResultSet.
`INTERVALYM` `getINTERVALYM​(java.lang.String columnName)` Obtain an oracle.sql.INTERVALYM value from the ResultSet.
`NUMBER` `getNUMBER​(int columnIndex)` Oracle extension.
`NUMBER` `getNUMBER​(java.lang.String columnName)` Oracle extension.
`java.lang.Object` `getObject​(int columnIndex, OracleDataFactory oracleDataFactory)` Oracle extension Get the column value as an instance of a subclass of OracleData.
`java.lang.Object` `getObject​(java.lang.String columnName, OracleDataFactory oracleDataFactory)` Oracle extension Get the column value as an instance of a subclass of OracleData.
`OPAQUE` `getOPAQUE​(int columnIndex)` Oracle extension.
`OPAQUE` `getOPAQUE​(java.lang.String columnName)` Oracle extension.
`Datum` `getOracleObject​(int columnIndex)` Oracle extension.
`Datum` `getOracleObject​(java.lang.String columnName)` Oracle extension.
`ORAData` `getORAData​(int columnIndex, ORADataFactory factory)` Oracle extension.
`ORAData` `getORAData​(java.lang.String columnName, ORADataFactory factory)` Oracle extension.
`RAW` `getRAW​(int columnIndex)` Oracle extension.
`RAW` `getRAW​(java.lang.String columnName)` Oracle extension.
`REF` `getREF​(int columnIndex)` Oracle extension.
`REF` `getREF​(java.lang.String columnName)` Oracle extension.
`ROWID` `getROWID​(int columnIndex)` Oracle extension.
`ROWID` `getROWID​(java.lang.String columnName)` Oracle extension.
`byte[]` `getRuntimeKey()` Oracle extension.
`STRUCT` `getSTRUCT​(int columnIndex)` Oracle extension.
`STRUCT` `getSTRUCT​(java.lang.String columnName)` Oracle extension.
`TIMESTAMP` `getTIMESTAMP​(int columnIndex)` Obtain an oracle.sql.TIMESTAMP value from the ResultSet.
`TIMESTAMP` `getTIMESTAMP​(java.lang.String columnName)` Obtain an oracle.sql.TIMESTAMP value from the ResultSet.
`TIMESTAMPLTZ` `getTIMESTAMPLTZ​(int columnIndex)` Obtain an oracle.sql.TIMESTAMPLTZ value from the ResultSet.
`TIMESTAMPLTZ` `getTIMESTAMPLTZ​(java.lang.String columnName)` Obtain an oracle.sql.TIMESTAMPLTZ value from the ResultSet.
`TIMESTAMPTZ` `getTIMESTAMPTZ​(int columnIndex)` Obtain an oracle.sql.TIMESTAMPTZ value from the ResultSet.
`TIMESTAMPTZ` `getTIMESTAMPTZ​(java.lang.String columnName)` Obtain an oracle.sql.TIMESTAMPTZ value from the ResultSet.
`boolean` `isFromResultSetCache()` Oracle extension.
`void` `updateARRAY​(int columnIndex, ARRAY value)` Oracle extension.
`void` `updateARRAY​(java.lang.String columnName, ARRAY value)` Oracle extension.
`void` `updateBfile​(int columnIndex, BFILE value)` Oracle extension.
`void` `updateBfile​(java.lang.String columnName, BFILE value)` Oracle extension.
`void` `updateBFILE​(int columnIndex, BFILE value)` Oracle extension.
`void` `updateBFILE​(java.lang.String columnName, BFILE value)` Oracle extension.
`void` `updateBLOB​(int columnIndex, BLOB value)` Oracle extension.
`void` `updateBLOB​(java.lang.String columnName, BLOB value)` Oracle extension.
`void` `updateCHAR​(int columnIndex, CHAR value)` Oracle extension.
`void` `updateCHAR​(java.lang.String columnName, CHAR value)` Oracle extension.
`void` `updateCLOB​(int columnIndex, CLOB value)` Oracle extension.
`void` `updateCLOB​(java.lang.String columnName, CLOB value)` Oracle extension.
`void` `updateCustomDatum​(int columnIndex, CustomDatum value)` Deprecated.
`void` `updateCustomDatum​(java.lang.String columnName, CustomDatum value)` Deprecated.
`void` `updateDATE​(int columnIndex, DATE value)` Oracle extension.
`void` `updateDATE​(java.lang.String columnName, DATE value)` Oracle extension.
`void` `updateINTERVALDS​(int columnIndex, INTERVALDS value)` Oracle extension.
`void` `updateINTERVALDS​(java.lang.String columnName, INTERVALDS value)` Oracle extension.
`void` `updateINTERVALYM​(int columnIndex, INTERVALYM value)` Oracle extension.
`void` `updateINTERVALYM​(java.lang.String columnName, INTERVALYM value)` Oracle extension.
`void` `updateNUMBER​(int columnIndex, NUMBER value)` Oracle extension.
`void` `updateNUMBER​(java.lang.String columnName, NUMBER value)` Oracle extension.
`void` `updateOracleObject​(int columnIndex, Datum value)` Oracle extension.
`void` `updateOracleObject​(java.lang.String columnName, Datum value)` Oracle extension.
`void` `updateORAData​(int columnIndex, ORAData value)` Oracle extension.
`void` `updateORAData​(java.lang.String columnName, ORAData value)` Oracle extension.
`void` `updateRAW​(int columnIndex, RAW value)` Oracle extension.
`void` `updateRAW​(java.lang.String columnName, RAW value)` Oracle extension.
`void` `updateREF​(int columnIndex, REF value)` Oracle extension.
`void` `updateREF​(java.lang.String columnName, REF value)` Oracle extension.
`void` `updateROWID​(int columnIndex, ROWID value)` Oracle extension.
`void` `updateROWID​(java.lang.String columnName, ROWID value)` Oracle extension.
`void` `updateSTRUCT​(int columnIndex, STRUCT value)` Oracle extension.
`void` `updateSTRUCT​(java.lang.String columnName, STRUCT value)` Oracle extension.
`void` `updateTIMESTAMP​(int columnIndex, TIMESTAMP value)` Oracle extension.
`void` `updateTIMESTAMP​(java.lang.String columnName, TIMESTAMP value)` Oracle extension.
`void` `updateTIMESTAMPLTZ​(int columnIndex, TIMESTAMPLTZ value)` Oracle extension.
`void` `updateTIMESTAMPLTZ​(java.lang.String columnName, TIMESTAMPLTZ value)` Oracle extension.
`void` `updateTIMESTAMPTZ​(int columnIndex, TIMESTAMPTZ value)` Oracle extension.
`void` `updateTIMESTAMPTZ​(java.lang.String columnName, TIMESTAMPTZ value)` Oracle extension.

### Methods inherited from interface oracle.jdbc.OracleCommonResultSet

`publisherOracle`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getARRAY

    ARRAY getARRAY​(int columnIndex)
            throws java.sql.SQLException

Oracle extension. Get the column value as a ARRAY. An ARRAY instance maps to a Nested Table or VARRAY value in database.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.ARRAY
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getARRAY

    ARRAY getARRAY​(java.lang.String columnName)
            throws java.sql.SQLException

Oracle extension. Get the column value as a ARRAY. An ARRAY instance maps to a Nested Table or VARRAY value in database.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.ARRAY
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getBfile

    BFILE getBfile​(int columnIndex)
            throws java.sql.SQLException

Oracle extension. Get the column as a BFILE locator. BFILES are large binary data objects stored in operating system files outside of database tablespaces. These files use reference semantics. They may also be located on tertiary storage devices such as hard disks, CD-ROMs, PhotoCDs and DVDs. Like BLOBs and CLOBs, a BFILE is accessed and referenced by a locator which is stored in the database table and points to the BFILE data.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.BFILE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getBFILE

    BFILE getBFILE​(int columnIndex)
            throws java.sql.SQLException

Oracle extension. Get the column as a BFILE locator. BFILES are large binary data objects stored in operating system files outside of database tablespaces. These files use reference semantics. They may also be located on tertiary storage devices such as hard disks, CD-ROMs, PhotoCDs and DVDs. Like BLOBs and CLOBs, a BFILE is accessed and referenced by a locator which is stored in the database table and points to the BFILE data.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.BFILE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getBfile

    BFILE getBfile​(java.lang.String columnName)
            throws java.sql.SQLException

Oracle extension. Get the column as a BFILE locator. BFILES are large binary data objects stored in operating system files outside of database tablespaces. These files use reference semantics. They may also be located on tertiary storage devices such as hard disks, CD-ROMs, PhotoCDs and DVDs. Like BLOBs and CLOBs, a BFILE is accessed and referenced by a locator which is stored in the database table and points to the BFILE data.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.BFILE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getBFILE

    BFILE getBFILE​(java.lang.String columnName)
            throws java.sql.SQLException

Oracle extension. Get the column as a BFILE locator. BFILES are large binary data objects stored in operating system files outside of database tablespaces. These files use reference semantics. They may also be located on tertiary storage devices such as hard disks, CD-ROMs, PhotoCDs and DVDs. Like BLOBs and CLOBs, a BFILE is accessed and referenced by a locator which is stored in the database table and points to the BFILE data.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.BFILE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getBLOB

    BLOB getBLOB​(int columnIndex)
          throws java.sql.SQLException

Oracle extension. Get the column value as a BLOB (unstructured binary data). BLOB data is accessed and referenced by using a locator which is stored in the database table and points to the BLOB data.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.BLOB
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getBLOB

    BLOB getBLOB​(java.lang.String columnName)
          throws java.sql.SQLException

Oracle extension. Get the column value as a BLOB (unstructured binary data). BLOB data is accessed and referenced by using a locator which is stored in the database table and points to the BLOB data.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.BLOB
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getCHAR

    CHAR getCHAR​(int columnIndex)
          throws java.sql.SQLException

Oracle extension. Get the column as a CHAR value. CHAR values retain the same representation as they have in the database, so there can be no loss of information through conversion. While the vast majority of characters in the various Oracle NLS character sets are represented in the Unicode character set used by Java there are a very small number that are not. Additionally, JDBC does not have to perform any conversion when getting character data as CHAR, so getCHAR is slightly efficient than getString.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.CHAR
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getCHAR

    CHAR getCHAR​(java.lang.String columnName)
          throws java.sql.SQLException

Oracle extension. Get the column as a CHAR value. CHAR values retain the same representation as they have in the database, so there can be no loss of information through conversion. While the vast majority of characters in the various Oracle NLS character sets are represented in the Unicode character set used by Java there are a very small number that are not. Additionally, JDBC does not have to perform any conversion when getting character data as CHAR, so getCHAR is slightly efficient than getString.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.CHAR
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getCLOB

    CLOB getCLOB​(int columnIndex)
          throws java.sql.SQLException

Oracle extension. Get the column value as a CLOB (single-byte character data). CLOB data is accessed and referenced by using a locator which is stored in the database table and points to the CLOB data.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.CLOB
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getCLOB

    CLOB getCLOB​(java.lang.String columnName)
          throws java.sql.SQLException

Oracle extension. Get the column value as a CLOB (single-byte character data). CLOB data is accessed and referenced by using a locator which is stored in the database table and points to the CLOB data.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.CLOB
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getOPAQUE

    OPAQUE getOPAQUE​(int columnIndex)
              throws java.sql.SQLException

Oracle extension. Get the column value as an OPAQUE.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.OPAQUE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getOPAQUE

    OPAQUE getOPAQUE​(java.lang.String columnName)
              throws java.sql.SQLException

Oracle extension. Get the column value as an OPAQUE.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.OPAQUE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getINTERVALYM

    INTERVALYM getINTERVALYM​(int columnIndex)
                      throws java.sql.SQLException

Obtain an oracle.sql.INTERVALYM value from the ResultSet.

Parameters:
  `columnIndex` - parameter number.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getINTERVALYM

    INTERVALYM getINTERVALYM​(java.lang.String columnName)
                      throws java.sql.SQLException

Obtain an oracle.sql.INTERVALYM value from the ResultSet.

Parameters:
  `columnName` - column name.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getINTERVALDS

    INTERVALDS getINTERVALDS​(int columnIndex)
                      throws java.sql.SQLException

Obtain an oracle.sql.INTERVALDS value from the ResultSet.

Parameters:
  `columnIndex` - parameter number.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  10i

#### getINTERVALDS

    INTERVALDS getINTERVALDS​(java.lang.String columnName)
                      throws java.sql.SQLException

Obtain an oracle.sql.INTERVALDS value from the ResultSet.

Parameters:
  `columnName` - column name.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  10i

#### getTIMESTAMP

    TIMESTAMP getTIMESTAMP​(int columnIndex)
                    throws java.sql.SQLException

Obtain an oracle.sql.TIMESTAMP value from the ResultSet.

Parameters:
  `columnIndex` - parameter number.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getTIMESTAMP

    TIMESTAMP getTIMESTAMP​(java.lang.String columnName)
                    throws java.sql.SQLException

Obtain an oracle.sql.TIMESTAMP value from the ResultSet.

Parameters:
  `columnName` - column name.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getTIMESTAMPTZ

    TIMESTAMPTZ getTIMESTAMPTZ​(int columnIndex)
                        throws java.sql.SQLException

Obtain an oracle.sql.TIMESTAMPTZ value from the ResultSet.

Parameters:
  `columnIndex` - parameter number.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getTIMESTAMPTZ

    TIMESTAMPTZ getTIMESTAMPTZ​(java.lang.String columnName)
                        throws java.sql.SQLException

Obtain an oracle.sql.TIMESTAMPTZ value from the ResultSet.

Parameters:
  `columnName` - column name.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getTIMESTAMPLTZ

    TIMESTAMPLTZ getTIMESTAMPLTZ​(int columnIndex)
                          throws java.sql.SQLException

Obtain an oracle.sql.TIMESTAMPLTZ value from the ResultSet.

Parameters:
  `columnIndex` - parameter number.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getTIMESTAMPLTZ

    TIMESTAMPLTZ getTIMESTAMPLTZ​(java.lang.String columnName)
                          throws java.sql.SQLException

Obtain an oracle.sql.TIMESTAMPLTZ value from the ResultSet.

Parameters:
  `columnName` - column name.
Returns:
  the obtained value.
Throws:
  `java.sql.SQLException` - if an error occurred.
Since:
  9i

#### getCursor

    java.sql.ResultSet getCursor​(int columnIndex)
                          throws java.sql.SQLException

Oracle extension. Get the REFCURSOR value of the column as a ResultSet.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the REFCURSOR column value as a ResultSet
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getCursor

    java.sql.ResultSet getCursor​(java.lang.String columnName)
                          throws java.sql.SQLException

Oracle extension. Get the REFCURSOR value of the column as a ResultSet.

Parameters:
  `columnName` - the name of the column
Returns:
  the REFCURSOR column value as a ResultSet
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getCustomDatum

    CustomDatum getCustomDatum​(int columnIndex,
                               CustomDatumFactory factory)
                        throws java.sql.SQLException

Deprecated.
Oracle extension. Get the column value as an instance of a subclass of CustomDatum. Which subclass is determined by the factory parameter.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `factory` - CustomDatumFactory used to materialize the column value
Returns:
  the column value as a CustomDatum; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getORAData

    ORAData getORAData​(int columnIndex,
                       ORADataFactory factory)
                throws java.sql.SQLException

Oracle extension. Get the column value as an instance of a subclass of ORAData. Which subclass is determined by the factory parameter.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `factory` - ORADataFactory used to materialize the column value
Returns:
  the column value as a ORAData; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getObject

    java.lang.Object getObject​(int columnIndex,
                               OracleDataFactory oracleDataFactory)
                        throws java.sql.SQLException

Oracle extension Get the column value as an instance of a subclass of OracleData. Which subclass is determined by the factory parameter.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `factory` - OracleDataFactory used to materialize the column value
Returns:
  the column value as a OracleData; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getObject

    java.lang.Object getObject​(java.lang.String columnName,
                               OracleDataFactory oracleDataFactory)
                        throws java.sql.SQLException

Oracle extension Get the column value as an instance of a subclass of OracleData. Which subclass is determined by the factory parameter.

Parameters:
  `columnName` - name of the column "column1" "column2" ..
  `factory` - OracleDataFactory used to materialize the column value
Returns:
  the column value as a OracleData; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getCustomDatum

    CustomDatum getCustomDatum​(java.lang.String columnName,
                               CustomDatumFactory factory)
                        throws java.sql.SQLException

Deprecated.
Oracle extension. Get the column value as an instance of a subclass of CustomDatum. Which subclass is determined by the factory parameter.

Parameters:
  `columnName` - the name of the column
  `factory` - CustomDatumFactory used to materialize the column value
Returns:
  the column value as a CustomDatum; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getORAData

    ORAData getORAData​(java.lang.String columnName,
                       ORADataFactory factory)
                throws java.sql.SQLException

Oracle extension. Get the column value as an instance of a subclass of ORAData. Which subclass is determined by the factory parameter.

Parameters:
  `columnName` - the name of the column
  `factory` - ORADataFactory used to materialize the column value
Returns:
  the column value as a ORAData; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getDATE

    DATE getDATE​(int columnIndex)
          throws java.sql.SQLException

Oracle extension. Get the column value as a DATE.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.DATE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getDATE

    DATE getDATE​(java.lang.String columnName)
          throws java.sql.SQLException

Oracle extension. Get the column value as a DATE.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.DATE
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getNUMBER

    NUMBER getNUMBER​(int columnIndex)
              throws java.sql.SQLException

Oracle extension. Get the column value as a NUMBER. NUMBER values have the same representation as Oracle numbers in the database, thus they have exactly the same value. Getting numeric values as other types can result in very slightly different values due to the difference in representation. Additionally, JDBC does not have to do any conversion when using getNUMBER and so is more efficient.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.NUMBER
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getNUMBER

    NUMBER getNUMBER​(java.lang.String columnName)
              throws java.sql.SQLException

Oracle extension. Get the column value as a NUMBER. NUMBER values have the same representation as Oracle numbers in the database, thus they have exactly the same value. Getting numeric values as other types can result in very slightly different values due to the difference in representation. Additionally, JDBC does not have to do any conversion when using getNUMBER and so is more efficient.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.NUMBER
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getOracleObject

    Datum getOracleObject​(int columnIndex)
                   throws java.sql.SQLException

Oracle extension. Get the column value as the appropriate oracle.sql. type. This differs from getObject in that getObject returns the appropriate jdbc.sql. type. The Oracle specific types in oracle.sql more closely model the underlying Oracle database types, so there is no possible loss of information due to conversion and slightly greater efficiency.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as the appropriate oracle.sql. type; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getOracleObject

    Datum getOracleObject​(java.lang.String columnName)
                   throws java.sql.SQLException

Oracle extension. Get the column value as the appropriate oracle.sql. type. This differs from getObject in that getObject returns the appropriate jdbc.sql. type. The Oracle specific types in oracle.sql more closely model the underlying Oracle database types possible loss of information due to conversion and slightly greater efficiency.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as the appropriate oracle.sql. type; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getRAW

    RAW getRAW​(int columnIndex)
        throws java.sql.SQLException

Oracle extension. Get the column value as a RAW. A RAW instance maps to a RAW or LONG RAW value in database.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.RAW
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getRAW

    RAW getRAW​(java.lang.String columnName)
        throws java.sql.SQLException

Oracle extension. Get the column value as a RAW. A RAW instance maps to a RAW or LONG RAW value in database.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.RAW
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getREF

    REF getREF​(int columnIndex)
        throws java.sql.SQLException

Oracle extension. Get the column value as a REF. A REF instance maps to a REF (to a row or concreated object) value in database.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.REF
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getREF

    REF getREF​(java.lang.String columnName)
        throws java.sql.SQLException

Oracle extension. Get the column value as a REF. A REF instance maps to a REF (to a row or concreated object) value in database.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.REF
Throws:
  `java.sql.SQLException` - if a database acc

#### getROWID

    ROWID getROWID​(int columnIndex)
            throws java.sql.SQLException

Oracle extension. Get the ROWID column value as ROWID.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the ROWID column value as an oracle.sql.ROWID
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getROWID

    ROWID getROWID​(java.lang.String columnName)
            throws java.sql.SQLException

Oracle extension. Get the ROWID column value as ROWID.

Parameters:
  `columnName` - the name of the column
Returns:
  the ROWID column value as an oracle.sql.ROWID
Throws:
  `java.sql.SQLException` - if a database access error occurs.

#### getSTRUCT

    STRUCT getSTRUCT​(int columnIndex)
              throws java.sql.SQLException

Oracle extension. Get the column value as a STRUCT. A STRUCT instance maps to a structured data type instance in database.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value as an oracle.sql.STRUCT
Throws:
  `java.sql.SQLException` - if a database access error occurs.
See Also:
  `getORAData(int,oracle.sql.ORADataFactory)`

#### getSTRUCT

    STRUCT getSTRUCT​(java.lang.String columnName)
              throws java.sql.SQLException

Oracle extension. Get the column value as a STRUCT. A STRUCT instance maps to a structured data type instance in database.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value as an oracle.sql.STRUCT
Throws:
  `java.sql.SQLException` - if a database access error occurs.
See Also:
  `getORAData(int,oracle.sql.ORADataFactory)`

#### updateARRAY

    void updateARRAY​(int columnIndex,
                     ARRAY value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.ARRAY value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateARRAY

    void updateARRAY​(java.lang.String columnName,
                     ARRAY value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.ARRAY value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateBfile

    void updateBfile​(int columnIndex,
                     BFILE value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.BFILE value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateBFILE

    void updateBFILE​(int columnIndex,
                     BFILE value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.BFILE value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateBfile

    void updateBfile​(java.lang.String columnName,
                     BFILE value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.BFILE value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateBFILE

    void updateBFILE​(java.lang.String columnName,
                     BFILE value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.BFILE value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateBLOB

    void updateBLOB​(int columnIndex,
                    BLOB value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.BLOB value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateBLOB

    void updateBLOB​(java.lang.String columnName,
                    BLOB value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.BLOB value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateCHAR

    void updateCHAR​(int columnIndex,
                    CHAR value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.CHAR value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateCHAR

    void updateCHAR​(java.lang.String columnName,
                    CHAR value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.CHAR value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateCLOB

    void updateCLOB​(int columnIndex,
                    CLOB value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.CLOB value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateCLOB

    void updateCLOB​(java.lang.String columnName,
                    CLOB value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.CLOB value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateCustomDatum

    void updateCustomDatum​(int columnIndex,
                           CustomDatum value)
                    throws java.sql.SQLException

Deprecated.
Oracle extension. Updates a column with an CustomDatum value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateORAData

    void updateORAData​(int columnIndex,
                       ORAData value)
                throws java.sql.SQLException

Oracle extension. Updates a column with an ORAData value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateCustomDatum

    void updateCustomDatum​(java.lang.String columnName,
                           CustomDatum value)
                    throws java.sql.SQLException

Deprecated.
Oracle extension. Updates a column with an CustomDatum value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateORAData

    void updateORAData​(java.lang.String columnName,
                       ORAData value)
                throws java.sql.SQLException

Oracle extension. Updates a column with an ORAData value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateDATE

    void updateDATE​(int columnIndex,
                    DATE value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.DATE value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateDATE

    void updateDATE​(java.lang.String columnName,
                    DATE value)
             throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.DATE value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateINTERVALYM

    void updateINTERVALYM​(int columnIndex,
                          INTERVALYM value)
                   throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.INTERVALYM value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateINTERVALYM

    void updateINTERVALYM​(java.lang.String columnName,
                          INTERVALYM value)
                   throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.INTERVALYM value.

Parameters:
  `columnName` - the name of the column to update
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateINTERVALDS

    void updateINTERVALDS​(int columnIndex,
                          INTERVALDS value)
                   throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.INTERVALDS value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateINTERVALDS

    void updateINTERVALDS​(java.lang.String columnName,
                          INTERVALDS value)
                   throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.INTERVALDS value.

Parameters:
  `columnName` - the name of the column to update
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateTIMESTAMP

    void updateTIMESTAMP​(int columnIndex,
                         TIMESTAMP value)
                  throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.TIMESTAMP value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateTIMESTAMP

    void updateTIMESTAMP​(java.lang.String columnName,
                         TIMESTAMP value)
                  throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.TIMESTAMP value.

Parameters:
  `columnName` - The name of the column to update
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateTIMESTAMPTZ

    void updateTIMESTAMPTZ​(int columnIndex,
                           TIMESTAMPTZ value)
                    throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.TIMESTAMPTZ value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateTIMESTAMPTZ

    void updateTIMESTAMPTZ​(java.lang.String columnName,
                           TIMESTAMPTZ value)
                    throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.TIMESTAMPTZ value.

Parameters:
  `columnName` - the name of the column to update
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateTIMESTAMPLTZ

    void updateTIMESTAMPLTZ​(int columnIndex,
                            TIMESTAMPLTZ value)
                     throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.TIMESTAMPLTZ value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateTIMESTAMPLTZ

    void updateTIMESTAMPLTZ​(java.lang.String columnName,
                            TIMESTAMPLTZ value)
                     throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.TIMESTAMPLTZ value.

Parameters:
  `columnName` - the name of the column to update
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateNUMBER

    void updateNUMBER​(int columnIndex,
                      NUMBER value)
               throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.NUMBER value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateNUMBER

    void updateNUMBER​(java.lang.String columnName,
                      NUMBER value)
               throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.NUMBER value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateOracleObject

    void updateOracleObject​(int columnIndex,
                            Datum value)
                     throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.xxx value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateOracleObject

    void updateOracleObject​(java.lang.String columnName,
                            Datum value)
                     throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.xxx value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateRAW

    void updateRAW​(int columnIndex,
                   RAW value)
            throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.RAW value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateRAW

    void updateRAW​(java.lang.String columnName,
                   RAW value)
            throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.RAW value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateREF

    void updateREF​(int columnIndex,
                   REF value)
            throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.REF value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateREF

    void updateREF​(java.lang.String columnName,
                   REF value)
            throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.REF value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateROWID

    void updateROWID​(int columnIndex,
                     ROWID value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.ROWID value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateROWID

    void updateROWID​(java.lang.String columnName,
                     ROWID value)
              throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.ROWID value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateSTRUCT

    void updateSTRUCT​(int columnIndex,
                      STRUCT value)
               throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.STRUCT value.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### updateSTRUCT

    void updateSTRUCT​(java.lang.String columnName,
                      STRUCT value)
               throws java.sql.SQLException

Oracle extension. Updates a column with an oracle.sql.STRUCT value.

Parameters:
  `columnName` - is the SQL name of the column
  `value` - the new column value
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### isFromResultSetCache

    boolean isFromResultSetCache()
                          throws java.sql.SQLException

Oracle extension. Returns true if resultset is from cache otherwise false.

Returns:
Throws:
  `java.sql.SQLException`

#### getCompileKey

    byte[] getCompileKey()
                  throws java.sql.SQLException

Oracle extension. Get compile key calculated for caching the result.

Returns:
Throws:
  `java.sql.SQLException`

#### getRuntimeKey

    byte[] getRuntimeKey()
                  throws java.sql.SQLException

Oracle extension. Get runtime key calculated for caching the result.

Returns:
Throws:
  `java.sql.SQLException`

#### getAuthorizationIndicator

    OracleResultSet.AuthorizationIndicator getAuthorizationIndicator​(int columnIndex)
                                                              throws java.sql.SQLException

Retrieves the column security visibility attribute of the designated column in the current row of this `OracleResultSet` object.

Throws:
  `java.sql.SQLException`

#### getAuthorizationIndicator

    OracleResultSet.AuthorizationIndicator getAuthorizationIndicator​(java.lang.String columnName)
                                                              throws java.sql.SQLException

Retrieves the column security visibility attribute of the designated column in the current row of this `OracleResultSet`.

Throws:
  `java.sql.SQLException`